{...}: {
  # key remapping
  jade.input.remapping = {
    enable = true;
    devices."AT Translated Set 2 keyboard" = {
      swapKeys = [
        ["KEY_Y" "KEY_Z"]
        ["KEY_LEFTALT" "KEY_LEFTMETA"]
      ];
      dual_role = [
        {
          input = "KEY_CAPSLOCK";
          hold = ["KEY_LEFTCTRL"];
          tap = ["KEY_ESC"];
        }
      ];
    };
  };

  hardware.trackpoint = {
    enable = true;
    device = "TPPS/2 IBM TrackPoint";
    sensitivity = 256;
  };

  services.libinput.touchpad.tapping = false;
}
